Package org.apache.nutch.fetcher

## Enum FetcherThreadEvent.PublishEventType

- java.lang.Object
- - java.lang.Enum<FetcherThreadEvent.PublishEventType>
  - - org.apache.nutch.fetcher.FetcherThreadEvent.PublishEventType

- All Implemented Interfaces:
    `Serializable`, `Comparable<FetcherThreadEvent.PublishEventType>`
  Enclosing class:
    FetcherThreadEvent

      public static enum FetcherThreadEvent.PublishEventType
      extends Enum<FetcherThreadEvent.PublishEventType>

  Type of event to specify start, end or reporting of a fetch item.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `END` |
    `REPORT` |
    `START` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FetcherThreadEvent.PublishEventType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FetcherThreadEvent.PublishEventType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final FetcherThreadEvent.PublishEventType START

    - #### END

          public static final FetcherThreadEvent.PublishEventType END

    - #### REPORT

          public static final FetcherThreadEvent.PublishEventType REPORT

  - ### Method Detail

    - #### values

          public static FetcherThreadEvent.PublishEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FetcherThreadEvent.PublishEventType c : FetcherThreadEvent.PublishEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FetcherThreadEvent.PublishEventType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null